﻿@model eCommerce.Services.Model.Store
@{
    ViewBag.Title = "Locales";
	Layout = "~/Views/Shared/_Layout.cshtml";
}


<div class="page-header">
    <h1 class="page-title">Locales</h1>
    <ol class="breadcrumb">
        <li class="active">Crear / Editar</li>
    </ol>
</div>

<div class="page-content">
    <div class="panel">
        <div class="panel-body">
            <div class="col-md-12">
                <div id="example">
                    @using (Html.BeginForm("StoreUpdate", "Stores", FormMethod.Post, new { @class = "form-horizontal", @autocomplete = "off"}))
                    {
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Nombre</label>
                            <div class="col-sm-9">
                                <input type="text" class="form-control" name="Name" value="@Model.Name" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Dirección</label>
                            <div class="col-sm-9">
                                <input type="text" class="form-control" name="Address" value="@Model.Address" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Email</label>
                            <div class="col-sm-9">
                                <input type="text" class="form-control" name="Email" value="@Model.Email" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Teléfono</label>
                            <div class="col-sm-3">
                                <input type="text" class="form-control" name="PhoneNumber" value="@Model.PhoneNumber" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Provincia</label>
                            <div class="col-sm-3">
                                <select class="form-control" name="ProvinceId" id="ProvinceId" data-plugin="select2">
                                    @if (TempData["Provinces"] != null)
                                    {
                                        foreach (var item in (SelectList)TempData["Provinces"])
                                        {
                                            <option value="@item.Value" selected="@item.Selected">@item.Text</option>
                                        }
                                    }
                                    </select>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Ciudad</label>
                            <div class="col-sm-9">
                                <input type="text" class="form-control" name="City" value="@Model.City" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Lat</label>
                            <div class="col-sm-9">
                                <input type="text" class="form-control" name="Lat" value="@Model.Lat" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Long</label>
                            <div class="col-sm-9">
                                <input type="text" class="form-control" name="Long" value="@Model.Long" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Habilitado minorista</label>
                            <div class="col-sm-9">
                                <div class="checkbox-custom checkbox-primary">
                                    <input type="checkbox" name="RetailDelivery" id="RetailDelivery" class="js-switch-small" data-plugin="switchery" data-size="small" @(Model.RetailDelivery ? "checked=\"checked\"" : "") data-switchery="true" style="display: none;">
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Habilitado mayorista</label>
                            <div class="col-sm-9">
                                <div class="checkbox-custom checkbox-primary">
                                    <input type="checkbox" name="WholesalerDelivery" id="WholesalerDelivery" class="js-switch-small" data-plugin="switchery" data-size="small" @(Model.WholesalerDelivery ? "checked=\"checked\"" : "") data-switchery="true" style="display: none;">
                                </div>
                            </div>
                        </div>
                        <div class="text-right">
                            <button type="submit" class="btn btn-primary btn-success" id="btnSave">Grabar</button>
                            <button type="button" class="btn btn-default" onclick="window.location.href = '/Stores'">Cancelar</button>
                            @Html.HiddenFor(model => model.StoreId)
                        </div>
                        <input hidden="hidden" name="flagDelete" id="flagDelete" value="false" />
                    }
                </div>
            </div>
        </div>
    </div>
</div>


@section Scripts {

    <script type="text/javascript">

        (function () {
            $('.form-horizontal').formValidation({
                framework: "bootstrap",
                button: {
                    selector: '#btnSave',
                    disabled: 'disabled'
                },
                icon: null,
                fields: {
                    Name: {
                        validators: {
                            notEmpty: {
                                message: 'El campo Nombre es requerido.'
                            }
                        }
                    },
                    Benefit: {
                        validators: {
                            numeric: {
                                message: 'Ingrese un valor correcto.',
                                separator: ','
                            }
                        }
                    }
                }
            });
        })();

        var drEvent = $('#Icon').dropify();
        drEvent.on('dropify.beforeClear', function (event, element) { $("#flagDelete").val(true); });

    </script>
}

